%define major  8
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname -d %{name}
%define majorpp 6
%define libnamepp %mklibname %{name}++ %{majorpp}
%define libnameppdev %mklibname -d %{name}++

Summary: An encoder/decoder for the Free Lossless Audio Codec
Name: flac
Version: 1.2.1
Release: %mkrel 4
License: BSD and GPLv2+
Group: Sound
URL: http://flac.sourceforge.net/
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.gz
Patch1: flac-1.2.1-asm.patch
Patch2: flac-1.2.1-gcc43.patch
Patch3: flac-1.2.1-hidesyms.patch
Patch4: flac-1.2.1-tests.patch
Patch5: flac-1.2.1-cflags.patch
Patch6: flac-1.2.1-bitreader.patch
Patch7: flac-1.2.1-fix-str-fmt.patch
BuildRequires: libogg-devel
BuildRequires: nasm
BuildRequires: libid3lib-devel
BuildRequires: gtk-devel
BuildRequires: gettext-devel
BuildRequires: automake1.8
BuildRequires: libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package -n %libname 
Summary: Shared libraries for FLAC
Group:  System/Libraries

%description  -n %libname
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.

%package -n %libnamedev
Summary: Libraries and headers needed for building apps using FLAC
Group: Development/C
Requires: %{libname} = %{version}-%release
Requires: libogg-devel
Provides:  libflac-devel = %version-%release
Provides:  liboggflac-devel = %version-%release
Conflicts: %mklibname -d flac 7
Obsoletes: %mklibname -d flac 8

%description -n %libnamedev
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%package -n %libnamepp
Summary: Shared C++ libraries for FLAC
Group: System/Libraries

%description  -n %libnamepp
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.

%package -n %libnameppdev
Summary: Libraries and headers needed for building apps using FLAC++
Group: Development/C++
Requires: %{libnamepp} = %{version}-%release
Requires: %libnamedev = %version-%release
Provides:  libflac++-devel = %version-%release
Provides:  liboggflac++-devel = %version-%release
Obsoletes: %mklibname -d flac++ 6

%description -n %libnameppdev
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%prep

%setup -q -n %name-%version
%patch1 -p1 -b .asm
%patch2 -p1 -b .gcc43
%patch3 -p1 -b .hidesyms
# reduce number of tests
%patch4 -p1 -b .tests
%patch5 -p1 -b .cflags
%patch6 -p0 -b .bitreader
%patch7 -p0

%build
./autogen.sh -V

rm -rf html

cp -r doc/html .
%configure2_5x \
    --disable-xmms-plugin \
    --disable-thorough-tests

%make

%check
make -C test check &> /dev/null

%install
rm -rf %{buildroot} installed-docs

%makeinstall_std

mv %buildroot%_datadir/doc/flac-%{version} installed-docs
rm -fr %buildroot%_libdir/xmms

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %libnamepp -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libnamepp -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README installed-docs/*
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n %libname 
%defattr(-, root, root)
%_libdir/libFLAC.so.%{major}*

%files -n %libnamepp 
%defattr(-, root, root)
%_libdir/libFLAC++.so.%{majorpp}*

%files -n %libnamedev
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so
%_datadir/aclocal/libFLAC.m4
%_libdir/pkgconfig/flac.pc

%files -n %libnameppdev
%defattr(-, root, root)
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.a
%{_libdir}/libFLAC++.la
%{_libdir}/libFLAC++.so
%_datadir/aclocal/libFLAC++.m4
%_libdir/pkgconfig/flac++.pc


%changelog
* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 1.2.1-4mdv2009.1
+ Revision: 352744
- diff p7 to fix string format not literal

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-3mdv2009.0
+ Revision: 264464
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2009.0
+ Revision: 209712
- sync with fedora

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 08 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2008.1
+ Revision: 95688
- new version

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 55188
- new version
- fix devel package names

* Sun May 13 2007 Anssi Hannula <anssi@mandriva.org> 1.1.4-2mdv2008.0
+ Revision: 26539
- add conflicts with previous devel package


* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.0
+ Revision: 120706
- new version
- update file list

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-2mdv2007.1
+ Revision: 94987
- fix devel deps

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
+ Revision: 88488
- Import flac

* Wed Nov 29 2006 Gtz Waschk <waschk@mandriva.org> 1.1.3-1mdv2007.1
- new major
- drop oggflac
- drop patches 0,1,2
- new version

* Sun Jul 02 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-7mdv2007.0
- allow build without xmms

* Sat Jul 01 2006 Gtz Waschk <waschk@mandriva.org> 1.1.2-6mdv2007.0
- drop xmms plugin

* Wed Nov 02 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-5mdk
- fix patch 1 (Anssi Hannula)

* Sat Apr 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.2-4mdk
- patch3: fix build with ppc gnu binutils
- add BuildRequires: gettext-devel

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-3mdk
- fix the patch

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.1.2-2mdk
- try to fix bug #15553 with patch 2

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- bump majors
- new version

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.1-0.beta1.3mdk
- libtool & lib64 fixes

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-0.beta1.2mdk
- Fix requires (allow to upgrade MDK9.2->10.1)

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-0.beta1.1mdk
- fix majors
- fix doc section
- new version

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-8mdk
- make menu title unique (else the GNOME menu method doesn't work)

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-7mdk
- add hidden menu entry to associate flac files with xmms

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1.0-6mdk
- Rebuild against gcc

